Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
automations
/
rules
Automation collection
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/automations/rules \
  --header 'Authorization: Bearer <token>'
[
  {
    "requirement": {
      "automation_from": "2023-11-07T05:31:56Z",
      "automation_to": "2023-11-07T05:31:56Z",
      "events": [
        "customer_add"
      ],
      "filter": {
        "$.type": [
          "company"
        ],
        "$.status": [
          {
            "anything-but": "blocked"
          }
        ],
        "$.addresses[*].postal_code": [
          "0342",
          "6901"
        ]
      }
    },
    "actions": [
      {
        "id": "<string>"
      }
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "deleted_at": "2023-11-07T05:31:56Z",
    "name": "Company Automation",
    "description": "Automation for non blocked companies with postal_code 0342 or 6901",
    "limitation": {
      "automation_repeat": 1
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

state
enum<string>
default:all

Indicate the state of the automation to return

Available options:
all,
available,
deleted

Response

Automation collection

requirement
object
required
actions
(Automation Action Discount · object | Automation Action HTTP · object)[]
required

Actions to perform if the automation is triggered (given events, limitation and filter)

Required array length: 1 element
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
name
string

Optinal name for the automation rule

Example:

"Company Automation"

description
string

Optional description for the automation rule

Example:

"Automation for non blocked companies with postal_code 0342 or 6901"

limitation
object